package org.eclipse.jdt.internal.compiler.tool;

package .tmp;

import java.io.File;
import java.util.Locale;
import javax.tools.Diagnostic;
import javax.tools.JavaFileObject;
import org.eclipse.jdt.internal.compiler.tool.EclipseCompilerImpl;
import org.eclipse.jdt.internal.compiler.tool.EclipseFileObject;

class null implements Diagnostic<JavaFileObject> {
  public String getCode() {
    return Integer.toString(problemId);
  }
  
  public long getColumnNumber() {
    return columnNumber;
  }
  
  public long getEndPosition() {
    return endPosition;
  }
  
  public Diagnostic.Kind getKind() {
    if ((severity & 0x1) != 0)
      return Diagnostic.Kind.ERROR; 
    if ((severity & 0x20) != 0)
      return Diagnostic.Kind.WARNING; 
    if (false)
      return Diagnostic.Kind.MANDATORY_WARNING; 
    return Diagnostic.Kind.OTHER;
  }
  
  public long getLineNumber() {
    return lineNumber;
  }
  
  public String getMessage(Locale locale) {
    if (locale != null)
      EclipseCompilerImpl.null.this.setLocale(locale); 
    return EclipseCompilerImpl.null.this.getLocalizedMessage(problemId, problemArguments);
  }
  
  public long getPosition() {
    return startPosition;
  }
  
  public JavaFileObject getSource() {
    File f = new File(new String(originatingFileName));
    if (f.exists())
      return (JavaFileObject)new EclipseFileObject(null, f.toURI(), JavaFileObject.Kind.SOURCE, null); 
    return null;
  }
  
  public long getStartPosition() {
    return startPosition;
  }
}
